Bug 91144 - SoX's soxplay doesn't except paths containg spaces
SoX's soxplay doesn't except paths containg spaces
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: sox (Show other bugs)
8.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-19 09:18 EDT by Kyriakos Sidiropoulos
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: 12.17.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 23:15:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyriakos Sidiropoulos 2003-05-19 09:18:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 4.0)

Description of problem:
Ok. This is trivial. :)

%> /usr/bin/soxplay "a path/containing spaces"
sox: error: ...

%> cat /usr/bin/soxplay
#!/ bin/sh

./sox $1 -t .au > dev/audio
      ^^

Simply double-quoting $1 solves this.

Version-Release number of selected component (if applicable):
sox-12.17.3 (If I recall well)

How reproducible:
Always

Steps to Reproduce:
1.%> /usr/bin/soxplay "a path/containing spaces"
sox: error: ...



    

Actual Results:  sox: error: ...


Expected Results:  Sound??

Additional info:
Comment 1 Bill Nottingham 2003-10-07 23:15:35 EDT
Fixed in 12.17.4-1.
Comment 2 Mark J. Cox (Product Security) 2004-07-29 15:10:36 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-409.html

Note You need to log in before you can comment on or make changes to this bug.